<template>
  <div class="account-route">
    <div class="account-route__path">
      <div class="left-point">
        <img src="@/components/Order/orderItem/execution/icons/point-load.svg" alt="">
      </div>
      <div class="right-point">
        <img src="@/components/Order/orderItem/execution/icons/point-unload.svg" alt="">
      </div>
    </div>
    <div class="account-route__point-info">
      <div class="left-point">
        <i class="icon city main-icon" />
        <div class="point-title">{{ routeData.startLocation || routeData.startAddress }}</div>
        <div class="address-title">{{ routeData.startAddress }}</div>
        <div class="point-date">{{ routeData.plannedSlotStartAt | date('D MMMM, HH:mm (ddd)') }}</div>
      </div>
      <div class="right-point">
        <i class="icon city main-icon" />
        <div class="point-title">{{ routeData.endLocation || routeData.endAddress }}</div>
        <div class="address-title">{{ routeData.endAddress }}</div>
        <div class="point-date">{{ routeData.plannedSlotEndAt | date('D MMMM, HH:mm (ddd)') }}</div>
      </div>
    </div>
    <div class="trip-info">
      <div
        v-html="serviceIcon"
        class="trip-info__icon"
      />
      <div class="trip-info__service">{{ routeData.resourceSubtypeTitle}} {{ routeData.resourcePatternParameter }}</div>
      <div
        class="trip-info__price"
      >
        {{ routeData.tariffLimit / 100 | currency }} ₽
      </div>
      <div class="trip-info__vat">Без НДС</div>
    </div>

  </div>
</template>

<script>
  import { getServiceIcon } from "@/constants/order"

  export default {
    name: 'OrderRouteSimple',
    props: {
      routeData: {
        type: Object,
        default: () => {}
      }
    },
    computed: {
      serviceIcon () {
        return getServiceIcon({ uuid: this.routeData.serviceTypeUuid })?.icon || ''
      }
    },
    methods: {

    }
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/mixins";

$blue-700-op50: #80B7D2;

.account-route {
  position: relative;
  width: 100%;
  &__path {
    position: relative;
    display: flex;
    justify-content: space-between;
    margin: 5px 8px;
    &::after {
      content: '';
      display: block;
      position: absolute;
      width: calc(100% + 4px);
      height: 2px;
      bottom: 0;
      left: -2px;
      background: repeating-linear-gradient(90deg, $blue-700-op50, $blue-700-op50 2px, #fff 2px, #fff 4px);
    }
    .left-point, .right-point {
      position: relative;
      z-index: 100;
    }
    .left-point {
      transform: translate(-9px, 6px);
    }
    .right-point {
      transform: translate(9px, 6px);
    }
  }
  &__point-info {
    display: flex;
    justify-content: space-between;
    .left-point {
      align-items: flex-start;
      text-align: left;
    }
    .right-point {
      align-items: flex-end;
      text-align: right;
    }
    .left-point, .right-point {
      display: flex;
      flex-direction: column;
      .main-icon {
        margin-top: 5px;
        margin-bottom: 8px;
        font-size: 22px;
        color: $color-grey-border;
      }
      .point-title {
        @include font-mixin(10px, 12px, 800, $shale-gray , 1px, uppercase);
      }
      .address-title {
        max-width: 250px;
        margin-top: 5px;
        @include font-mixin(10px, 12px, 400, $color-text-base);
      }
      .point-date {
        margin-top: 5px;
        @include font-mixin(10px, 12px, 400, $color-text-base);
      }
    }
  }
  .trip-info {
    position: absolute;
    z-index: 100;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    &__icon {}
    &__service {
      padding: 5px 8px;
      border: 1px $color-grey-border solid;
      border-radius: 5px;
      background-color: #fff;
      @include font-mixin(10px, 10px, 400, $color-text-base);
    }
    &__price {
      margin-top: 25px;
      @include font-mixin(16px, 19px, 800, $shale-gray , 1px, uppercase);
    }
    &__vat {
      margin-top: 6px;
      @include font-mixin(10px, 12px, 400, $gray-slate);
    }
  }
}
</style>
